Subject: Updated Efficient-nd posted

From: Samita Chakrabarti <[email-masked]>
Date: Thu, 22 Nov 2012 00:04:02 +0000

Hello All:

As a follow-up from the IETF85 6man meeting presentation on Efficient-nd draft, we
have posted a new version of the document which incorporated comments from Carsten Bormann in the list on editorial changes and some more clarification and editorial changes based on individual comments.

More comments are welcome in improving the document.

Regards,
-Samita

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Wednesday, November 21, 2012 3:21 PM
To: Samita Chakrabarti
Cc: [email-masked]; [email-masked]
Subject: New Version Notification for draft-chakrabarti-nordmark-6man-efficient-nd-01.txt

A new version of I-D, draft-chakrabarti-nordmark-6man-efficient-nd-01.txt
has been successfully submitted by Samita Chakrabarti and posted to the IETF repository.

Filename:	 draft-chakrabarti-nordmark-6man-efficient-nd
Revision:	 01
Title:		 Efficiency aware IPv6 Neighbor Discovery Optimizations
Creation date:	 2012-11-21
WG ID:		 Individual Submission
Number of pages: 25
URL:             http://www.ietf.org/internet-drafts/draft-chakrabarti-nordmark-6man-efficient-nd-01.txt
Status:          http://datatracker.ietf.org/doc/draft-chakrabarti-nordmark-6man-efficient-nd
Htmlized:        http://tools.ietf.org/html/draft-chakrabarti-nordmark-6man-efficient-nd-01
Diff:            http://www.ietf.org/rfcdiff?url2=draft-chakrabarti-nordmark-6man-efficient-nd-01

Abstract:
   IPv6 Neighbor Discovery (RFC 4861) protocol has been designed for
   neighbor's address resolution, unreachability detection, address
   autoconfiguration, router advertisement and solicitation.  With the
   progress of Internet adoption on various industries including home,
   wireless, m2m and Cellular(LTE) networks, there is a desire for
   optimizing the legacy IPv6 Neighbor Discovery protocol.  This
   document describes a method of optimization by reducing multicast
   messages and introducing an IPv6 address Registration mechanism.
   Efficient IPv6 Neighbor Discovery protocol is useful for energy-
   efficient IPv6 networks and as well as Data Center and Home Networks.
   The solution is capable of handling existing legacy IPv6 nodes in the
   network.

The IETF Secretariat

---

From: jouni korhonen <[email-masked]>
Date: Thu, 22 Nov 2012 16:53:42 +0200

Hi,

I had a quick glance over the I-D. Since you are referring to LTE networks (I assume this is the indirect assumption for cellular networks in the I-D). I wonder what kind of real & specific benefits you envision over, say the LTE link? Those cellular links are already rather quiescent when it comes to ND traffic. To me what to I-D proposes introduces more ND traffic than there is today. Or am I missing something fundamental here?

- Jouni

---

From: Samita Chakrabarti <[email-masked]>
Date: Wed, 28 Nov 2012 03:34:16 +0000

Hi Jouni,

Please the response in-line. 

-----Original Message-----
From: jouni korhonen [mailto:[email-masked]] 
Sent: Thursday, November 22, 2012 6:54 AM
To: Samita Chakrabarti
Cc: 6man Mailing List; Bob Hinden; Ole Trøan; Erik Nordmark
Subject: Re: Updated Efficient-nd posted

Hi,

I had a quick glance over the I-D. Since you are referring to LTE networks (I assume this is the indirect assumption for cellular networks in the I-D).

==> Yes. It should just say 3GPP Cellular Networks. Looking at TS 23.060 and TS 123.401 I see that the former allows periodic RA. Though TS 123.401 stays silent about periodic RA, and it talks about RS->RA sequence and DAD not being required for SLAAC. However, it is unclear if the RA is unicast or multicast and does not prevent one implementation to send periodic RA.

 I wonder what kind of real & specific benefits you envision over, say the LTE link? Those cellular links are already rather quiescent when it comes to ND traffic. To me what to I-D proposes introduces more ND traffic than there is today. Or am I missing something fundamental here?

===> The real benefit is that the SDO can directly refer to this IETF document ( if published as a RFC) which clearly states the behavior of UE and Address-assignment router/server. This will prevent multiple interpretation of the SLAAC behavior ( multicast messages, periodic RA) from the 3GPP documents. 
Since 3GPP GGSN or PDN-GW already acting as a default router, the node registration will be useful information to the operator for UE management. Today, in many cases, DHCP is used or some other SDO specific registration is done to provide the SLAAC service; this document will provide uniformity across handsets/technologies. For example, a handset switching from Cellular to wireless or vice-versa can maintain the same optimized behavior of address assignment procedure.

The I-D does not add more ND traffic at all. The registration procedure is an optional feature and it is also embedded in NUD like message and one can set a long lifetime to avoid frequent registration. 

Thanks for your input.
-Samita 

On Nov 22, 2012, at 2:04 AM, Samita Chakrabarti wrote:

> Hello All:
> 
> As a follow-up from the IETF85 6man meeting presentation on 
> Efficient-nd draft, we have posted a new version of the document which incorporated comments from Carsten Bormann in the list on editorial changes and some more clarification and editorial changes based on individual comments.
>

---

From: Jouni <[email-masked]>
Date: Wed, 28 Nov 2012 09:41:40 +0200

Hi Samita,

> ==> Yes. It should just say 3GPP Cellular Networks. Looking at TS 23.060 and TS 123.401 I see that the former allows periodic RA. Though TS 123.401 stays silent about periodic RA, and it talks abou…

If these procedures are unclear, you should read RFC6459 and draft-ietf-v6ops-rfc3316bis. Anyway, 3GPP system sends periodic unsolicited RAs and state-3 also says to do so. Typically the router lifetimes are just set long, measured in hours. Whether the RA is multicast or unicast does not matter. The underlying 3GPP point-to-point link does not support userplane multicast anyway and each node will receive their (unicast) copy of the RA. Each link acts independently.

> ===> The real benefit is that the SDO can directly refer to this IETF document ( if published as a RFC) which clearly states the behavior of UE and Address-assignment router/server. This will preve…

See RFC6459 and draft-ietf-v6ops-rfc3316bis. There are not really interpretation issues that this specification would make any clearer as far as I see it now.

> Since 3GPP GGSN or PDN-GW already acting as a default router, the node registration will be useful information to the

Also SGW can be a default router in some cases.

> operator for UE management. Today, in many cases, DHCP is used or some other SDO specific registration is done to

I really fail to see how it would be useful. Each UE will have their unique /64, the system does not really care about the IID.

> provide the SLAAC service; this document will provide uniformity across handsets/technologies. For example, a handset switching from Cellular to wireless or vice-versa can maintain the same optimized behavior of address assignment procedure.

There could be something on the handover part that I have not digested yet. At least the scenario is not really described in Section 17.

> The I-D does not add more ND traffic at all. The registration procedure is an optional feature and it is also embedded in NUD like message and one can set a long lifetime to avoid frequent registra…

Ok. Thanks for pointing the optionality. Missed that. If the registration is optional, then what is the benefit? My point is that trying to optimize ND over 3GPP link any further is likely a wasted effort. As of today, there is no DAD or address resolution, router does not do NUD for global addresses and periodic RAs are seldom.

Also, the optimization in the I-D seems to depend on an unique ID (EUI-64 or equivalent). That does not hold in 3GPP system, since such are not mandated from 3GPP UEs. There is also MUST for SLLA when ARO is used, however, 3GPP links do not have link-layer addressing.

> Thanks for your input.

Thanks. I am just trying to get my head around this. Current statements for usability in cellular just seem superficial at the moment. For example, currently I cannot agree Section 16.4. (when it comes to cellular).

- Jouni

---

From: Samita Chakrabarti <[email-masked]>
Date: Wed, 28 Nov 2012 20:13:42 +0000

Hi Jouni,

 I understand this is not the forum to discuss 3GPP modifications.
 The information in the draft is based on information from multiple sources who believe that 3GPP IPv6 equipments(routers) often support DAD and periodic router advertisements for ND implementations.

Please take a look at section 9.2.1.1 of TS23.060. dated 03-2012. Can you confirm that 3GGP specifications mandates NOT to do periodic RA or DAD?
The spec does refer to RFC4861 which is being modified by efficient-nd.

===> 
RFC6459 and draft-ietf-v6ops-rfc3316bis are "informational" and provides guidance based on the current IPv6 behavior. 
For example, rfc3316bis draft states:
   "Thus, the host is not required
   to perform Duplicate Address Detection on the cellular interface."

Efficient-nd provides an example of cellular networks for the standardized optimization - though it is up to 3GPP to adopt that. 
Efficient-nd is primarily intended for shared subnet networks same as RFC4861.

>> Ok. Thanks for pointing the optionality. Missed that. If the registration is
 >>optional, then what is the benefit? My point is that trying to optimize ND over >> 3GPP link any further is likely a wasted effort. As of today, there is no DAD or >>address resolution, router does not do NUD for global addresses and periodic Ras
>> are seldom.

===> The registration is optional because one has to provide backward compatibility with RFC4861 hosts. It is the same way as any optimization enhancement works.

"Periodic RA are seldom" is a subjective term when TS23.060 allows that. 
Note that efficient-nd is not an informational document and it is updating RFC4861. [ similar to RFC 6775 but for regular IPv6 networks]

>> Also, the optimization in the I-D seems to depend on an unique ID (EUI-64 or
 >>equivalent). That does not hold in 3GPP system, since such are not mandated from >>3GPP UEs. There is also MUST for SLLA when ARO is used, however, 3GPP links do not
>> have link-layer addressing.

===> How does 3GPP form a IPv6 address? What is the ESD part? Does not it associate each device with a unique identification?

Good point on the SLLA usage on ARO. Will look into that.

>> Thanks. I am just trying to get my head around this. Current statements for 
>>usability in cellular just seem superficial at the moment. For example, currently >> I cannot agree Section 16.4. (when it comes to cellular).

===> So, is your point that this document is NOT applicable for cellular networks? Do you want us to modify the text in 16.4  or remove cellaur part in 16.4?

I am not quite clear what exactly you're trying to accomplish. The document is referring cellular networks as an example.

-Samita

---

From: Erik Nordmark <[email-masked]>
Date: Wed, 28 Nov 2012 09:59:33 -0800

> Ok. Thanks for pointing the optionality. Missed that. If the registration is optional, then what is the benefit? My point is that trying to optimize ND over 3GPP link any further is likely a wasted…

Jouni,

this might be orthogonal to efficient-nd, but is there an IETF standard 
which says it is ok for the router to NOT perform NUD for global addresses?

If the address assignment for IPv6 for existing 3GPP standards is setup 
so that there is no need to do address resolution, then I don't see 
efficient-nd making much of a difference.

Thanks,

    Erik